Suite

Quelle version de mapbasic utiliser pour une interopérabilité maximale avec les différentes versions de mapinfo ?


Le plus ancien téléchargement mapbasic proposé par pbinsight ces jours-ci semble être la version 9.5. Je me demande si toutes les versions ultérieures de mapinfo peuvent exécuter du code compilé écrit avec cela?

Si oui, une version plus ancienne (et donc plus compatible) de mapbasic est-elle disponible quelque part ?

Sinon, quelle version est la meilleure pour une nouvelle application, sans vouloir exclure les utilisateurs potentiels qui ne disposent pas de la dernière version de mapinfo ?


MapBasic compilé doit fonctionner avec n'importe quelle version de MapInfo Pro égale ou supérieure. À proprement parler, cela dépend des fonctionnalités que vous utilisez dans MapBasic. Le code compilé est compatible mais un numéro de version est compilé et ceci est vérifié par rapport à la version MapInfo Pro.

Il existe un utilitaire flottant autour duquel scanne le MapBasic compilé et réinitialise le numéro de version au plus bas qui prend en charge les fonctionnalités utilisées. Je creuserai l'URL pour cela quand je rentrerai à la maison si cela vous intéresse.


Voir la vidéo: HOW TO CONVERT GOOGLE MAP TO TAB MAPINFO (Octobre 2021).